#!/bin/bash

set -eux

function buildmodule ()
{
    local module="$1"
    
    tar xzf "$XSRCDIR"/${module}.tar.gz
    pushd ${module}
    perl Makefile.PL PREFIX="$INSTALLDIR" LIB="$INSTALLDIR"/lib
    make
    make test
    make install
    popd
}

XSRCDIR=~/xsrc
BUILDDIR=build/support.build
INSTALLDIR=/tmp/w3vsupport

rm -rf "$BUILDDIR"
rm -rf "$INSTALLDIR"

mkdir -p "$BUILDDIR"

#export PERLLIB="$INSTALLDIR"/lib
export PERLLIB=build/validator/lib
# Force default answers to MakeMaker prompts
#export PERL_MM_USE_DEFAULT=1

pushd "$BUILDDIR"

for mod in HTML-SimpleParse-0.12 CGI-SSI-0.88
do
  buildmodule ${mod}
done

popd
